List transactions
Returns a paginated list of transactions for the merchant account, sorted by most recently updated. You can filter, sort, and search transactions using query parameters.
transactions.read scope.Authorizations
Headers
Query Parameters
Filters the results to only transactions created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
"2022-01-01T12:00:00+08:00"
Filters the results to only transactions created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
"2022-01-01T12:00:00+08:00"
Filters the results to only transactions updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
"2022-01-01T12:00:00+08:00"
Filters the results to only transactions updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
"2022-01-01T12:00:00+08:00"
Deprecated. Filters the results to only the items for which the buyer has an email_address that matches this value. This filter can be slow and is not recommended for use in automated systems. Use buyer_search, buyer_external_identifier or buyer_id instead.
Deprecated. Filters for transactions that have at least one gift card redemption where the last 4 digits of its gift card number matches exactly with the provided value. This filter can be slow and is not recommended for use in automated systems. Use gift_card_id instead.
4"7890"
Filters the results to only the transactions that have a payment source that matches with any of the provided values. For best performance, combine it with created_at_gte and created_at_lte.
The way payment method information made it to this transaction.
"recurring"
Response
Successful Response